/*
  Version:	0.2
* /

/*.test-nivel {*/
/*    padding-top: 80px !important;*/
/*}*/

.page-template-page-test-de-nivel .container.grid-container {
	position: relative;	
}

#test-spinner {
	position: absolute;
	z-index: 10;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    background: #ffffffc9;
    display: flex;
    align-content: center;
    justify-content: center;
    flex-wrap: wrap;
	visibility: hidden;
}

#test-spinner.visible {
	visibility: visible;
}

.page-template-page-test-de-nivel .test-spinner img {
	filter: grayscale(0.4) brightness(2);
}

#view-result {
	position: absolute;
    right: 20px;
    width: 142px;
    height: 46px;
    border-radius: 46px;
    cursor: pointer;
    opacity: 0;
    background-color: transparent;
}

.spinner {
    display: block;
    text-align: center;
    margin: 50px auto;
    width: 40px;
    height: 40px;
}

.q_container  {
	min-height: 400px;
}

.test-nivel h1 {
    font-size: 3em;
    text-align: center;
    font-weight: bold;
    margin-bottom: 35px;
}


.row-seleccion {
    display: flex;
    justify-content: space-around;
    margin-top: 80px
}

.row-seleccion>a {
    border-radius: 15px;
    padding: 20px 30px;
    width: 280px;
    box-shadow: 4px 4px 12px var(--contrast-3);
    display: flex;
    flex-direction: column;
    align-items: center;
	transition: all 0.25s ease;
}

.row-seleccion>a>img {
    width: 180px;
    margin: 0px auto 20px;
    transition: all .1s ease-in-out;
}

.row-seleccion h4 {
    color: var(--base) !important;
    margin-bottom: 0px;
}

.row-seleccion .curso-meta {
    color: #004aad !important;
    font-size: 20px;
    font-weight: 700;
    text-align: center;
}

.row-seleccion .curso-meta span {
    display: block;
    margin-bottom: 10px;
}

.row-seleccion .curso-meta i {
    margin-right: 15px;
}

.row-seleccion .mad_btn-1 {
    color: var(--base) !important;
	margin: 20px auto 10px;
}

.row-seleccion>a:hover .mad_btn-1 {
    /*background-color: var(--accent-2) !important;*/
    background-color: #004aad !important;
    color: white !important;
}

.row-seleccion>a:hover img {
    filter: drop-shadow(2px 4px 6px #999);
}


.test-nivel h4.bienvenida {
    font-size: 30px;
    font-weight: 400;
    color: var(--accent-2);
    margin-bottom: 60px;
}

.test-nivel .pb-container {
    overflow: hidden;
    margin-top: 50px;
}

.test-nivel .pb-container span {
    font-size: large;
    font-weight: 900;
    color: var(--accent-2);
}

.test-nivel .pb-container .label-left {
    float: left;
}

.test-nivel .pb-container .label-right {
   float: right;
}

.test-nivel .pb-container .label-right.completed {
   float: right;
   font-size: 21px;
   position: relative;
   animation:  2.5s ease 0s infinite beat;
}

.test-nivel .pb-container .label-right:after {
   clear: both; 
}

.test-nivel .progress-bar {
    width: 100%;
    height: 14px;
    border: 1px solid #eee;
    background-color: white;
    position: relative;
}

.test-nivel .progress-bar .current-progress {
    position: absolute;
    left: 0;
    top: 0;
    width: 0%;
    height: 12px;
    background-color: var(--accent-2);
    transition: all 1s ease-in-out;
}

.test-nivel h2 {
    text-align: center !important;
}

.test-nivel h3 {
	margin-bottom: 35px;
    border: 2px solid var(--accent);
    padding: 12px 40px;
    border-radius: 50px;
    display: inline-block;
  	max-width: 90%;
}

.test-nivel h4 {
	color: unset;
	font-weight: bold;
}
        

.q_container {
    padding: 30px 0 50px;
}

.q_container.resultado {
	position: relative;
    z-index: 10;
}

.part {
    display: none;
    text-align: center;
}

.part.active {
    display: block;
}

.part label {
    /*width: 100%;*/
    /*position: relative;*/
    /*font-size: 18px;*/
    /* padding-left: 30px; */
    /*display: block;*/
    /* text-indent: -16px; */
    /*margin-bottom: 35px;*/
    /*border-radius: 6px;*/
    /*overflow: hidden;*/
    /*background-color: #f7f7f7;*/
}

.part .question {
    text-align: left;
    font-weight: 300;
    margin-bottom: 35px;
}

.part input[type="text"], .part input[type="email"], .part input[type="phone"],  .part input[type="number"]{
    width: 100%;
    color: var(--contrast-2) !important;
    border: none;
    border-bottom: 2px solid #bbb;
/*     display: block; */
    /* margin: 30px auto; */
    font-size: 24px;
    text-align: center;
    background: transparent;
    padding: 8px 15px;
    margin-top: 35px;
    /*background-color: #f7f7f7;*/
    border-radius: 6px
}

::placeholder {
	color: #bbb;
}


.part input[type="text"] {
	/*width: 440px;*/
}

.part input[type="email"] {
	/*width: 400px;*/
}

.part label[for="email"] i {
    position: absolute;
    top: 20px;
    transform: translateX(-210px);
    color: var(--contrast);
    font-size: 25px;
}

.part input[type="phone"] {
	/*width: 300px;*/
}

.part label[for="telefono"] {
    /*max-width: 55%;*/
}

.part label[for="edad"] {
    /*max-width: 35%;*/
}

.part label[for="telefono"] i {
    position: absolute;
    top: 10px;
    transform: translateX(-170px);
    color: var(--contrast);
    font-size: 25px;
}

.part input[type="number"] {
	/*width: 100px;*/
}

.test-legales {
    text-align: left;
    font-size: 15px;
    margin-top: 10px;
}

.part select {
	border: none;
    border-bottom: 2px solid var(--contrast-2);
    color: var(--accent-2);
    padding: 2px;
    font-size: 0.9em;
    text-align: center;
    margin-right: 10px;
    font-weight: 400;
}

.no-option {
	font-style: italic;
	color: var(--contrast-3);
}


.part select option {
   color: #999 !important; 
}

.part select.option-selected {
    color: var(--contrast-2) !important;
    font-weight: 700;
}



.part select .no-option {
    color: var(--contrast-3);
    font-style: italic;
}

.user-form .q_row {
   margin-top: 40px; 
}

.user-form .q_col {
    /*border: 2px solid #ddd;*/
    background-color: rgba(255,255,255,0.6);
    box-shadow: 0 0 10px 5px #eee;
    padding: 30px 30px 40px;
    border-radius: 10px;
    max-width: 460px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.user-form h5 {
    margin-bottom: 0;
    font-weight: 600;
}

.part input[type="text"]:focus, .part input[type="text"]:focus-visible,
.part input[type="email"]:focus, .part input[type="email"]:focus-visible,
.part input[type="number"]:focus, .part input[type="number"]:focus-visible,
.part input[type="phone"]:focus, .part input[type="phone"]:focus-visible {
    color: var(--contrast-2) !important;
    /*border: none;*/
    background-color: #fdfdfd !important;
    outline: none;
    border-color:  var(--accent-2) !important;
    /*margin-bottom: 38px;*/
}

.part-nav {
	overflow: hidden;
	padding: 60px 20px
}

.part-btn-prev, .part-btn-next {
	display: block;
	margin: 0;
	color: var(--contrast-2);
}

.part-btn-prev {
	float: left;
}

.part-btn-next {
	float: right;
}

.part input[type="submit"] {
	font-weight: bold;
}

.sub_q {
	margin-top: 50px;
	text-align: left;
	text-align: center;
}

.sub_q h3 {
    
	font-size: 24px;
   	 font-weight: 300;	
}

.opciones {
	text-align: left;
    max-width: 600px;
    margin: 20px auto 0;
}

.opciones input[type="radio"]{
  	position: relative;
    left: -16px;
    top: 0px;
}

.content-radio{
	position: relative;
	/*margin-bottom: 30px;*/
	padding:5px 0 5px 46px; /* Damos un padding de 60px para posicionar el elemento <i> en este espacio*/
	display: block;
}
 
/* Estas reglas se aplicarán a todos las elementos i después de cualquier input*/
.content-radio input + i{
	background: #f0f0f0;
	border:2px solid rgba(0,0,0,0.2);
	position: absolute; 
	left: 0;
	top: 0;
}
 
/* Estas reglas se aplicarán a todos los i despues de un input de tipo radio*/
.content-radio input[type=radio] + i{
	height: 20px;
    width: 20px;
    border-radius: 100%;
    left: 28px;
    top: 6px;
}

.content-radio input[type=radio] + i:before{
	content: '';
	display: block;
	height: 12px;
	width: 12px;
	border-radius: 100%;
	position: absolute;
	z-index: 1;
	top: 2px;
	left: 2px;
	background: var(--accent-2);
	transition: all 0.25s ease; /* Todas las propiedades | tiempo | tipo movimiento */
	transform: scale(0) /* Lo reducimos a 0*/ ;
	opacity: 0; /* Lo ocultamos*/
}

.content-radio input[type=radio]:checked + i:before{
	transform: scale(1);
	opacity: 1;
}

.content-radio:hover input[type=radio]:not(:checked) + i{
	background: #B1E8CD;
}

.q_row {
	margin-top: 80px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.q_row .col-left {
	/*border: 1px solid red;*/
	width: 10%;
	text-align: center;
	align-items: center;
}

.q_number {
    width: 30px;
    height: 30px;
    display: inline-block;
    margin: 0 10px;
    border: 2px solid var(--accent);
    border-radius: 50%;
    font-weight: 600;
    /*background: var(--accent);*/
    box-shadow: 5px 4px 8px -3px #b1b1b1;
}

p .q_number {
	line-height: 1.4em;
    font-size: 0.7em;
    font-weight: 400;
    text-align: center;
}

.q_row .col-center {
	/*border: 1px solid red;*/
	width: 55%;
}

.q_row .col-right {
	padding: 0 30px;
}

.part p {
	font-size:1.6em;
	line-height: 2em;
	text-align: left;
	margin-bottom: 20px;
}

.visible {
	display: block !important;
	opacity: 1 !important;
}

label.error {
    color: var(--accent-2);
}

#msg-error-container {
	background-color: #ffffffeb;
    width: 100vw;
    height: 100vh;
    position: fixed;
    z-index: 100;
    top: 0;
    left: 0;
    display: none;
    opacity: 0;
    transition: all 0.3 ease;
}

.msg-error {
	backdrop-filter: blur(3px);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--accent-2);
    font-size: 30px;
    padding: 20px;
}

.msg-error img {
	width: 60px;
	margin-bottom: 30px
}

.msg-error a {
	color: var(--contrast-2) !important;
    font-size: 18px;
    margin-top: 30px;
}


.aviso-nav p{
    display: flex;
    justify-content: space-around;
}


.aviso-nav .wpcf7-spinner{
    display: none;
}

.resultado h3 {
    border: none;
    text-align: center;
    display: block;
    margin: auto;
}

.resultado span {
    font-weight: bold;
}

@keyframes beat {
  0%, 50%, 100% { transform: scale(1, 1); }
  30%, 80% { transform: scale(0.92, 0.95); }
}





/* Fireworks */
body {
  /*background: linear-gradient(#0007, #0000), #123;*/
  /*margin: 0;*/
  /*height: 100vh;*/
  /*overflow: hidden;*/
}

@keyframes firework {
  0% {
    transform: translate(var(--x), var(--initialY));
    width: var(--initialSize);
    opacity: 1;
  }
  50% {
    width: 0.5vmin;
    opacity: 1;
  }
  100% {
    width: var(--finalSize);
    opacity: 0;
  }
}

/* @keyframes fireworkPseudo {
  0% { transform: translate(-50%, -50%); width: var(--initialSize); opacity: 1; }
  50% { width: 0.5vmin; opacity: 1; }
  100% { width: var(--finalSize); opacity: 0; }
}
 */
.firework,
.firework::before,
.firework::after {
  --initialSize: 0.5vmin;
  --finalSize: 45vmin;
  --particleSize: 0.2vmin;
  --color1: yellow;
  --color2: khaki;
  --color3: white;
  --color4: lime;
  --color5: gold;
  --color6: mediumseagreen;
  --y: -30vmin;
  --x: -50%;
  --initialY: 60vmin;
  content: "";
  animation: firework 2s infinite;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, var(--y));
  width: var(--initialSize);
  aspect-ratio: 1;
  background: 
    /*
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 0% 0%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 100% 0%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 100% 100%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 0% 100%,
    */ radial-gradient(
        circle,
        var(--color1) var(--particleSize),
        #0000 0
      )
      50% 0%,
    radial-gradient(circle, var(--color2) var(--particleSize), #0000 0) 100% 50%,
    radial-gradient(circle, var(--color3) var(--particleSize), #0000 0) 50% 100%,
    radial-gradient(circle, var(--color4) var(--particleSize), #0000 0) 0% 50%,
    /* bottom right */
      radial-gradient(circle, var(--color5) var(--particleSize), #0000 0) 80%
      90%,
    radial-gradient(circle, var(--color6) var(--particleSize), #0000 0) 95% 90%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 90% 70%,
    radial-gradient(circle, var(--color2) var(--particleSize), #0000 0) 100% 60%,
    radial-gradient(circle, var(--color3) var(--particleSize), #0000 0) 55% 80%,
    radial-gradient(circle, var(--color4) var(--particleSize), #0000 0) 70% 77%,
    /* bottom left */
      radial-gradient(circle, var(--color5) var(--particleSize), #0000 0) 22%
      90%,
    radial-gradient(circle, var(--color6) var(--particleSize), #0000 0) 45% 90%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 33% 70%,
    radial-gradient(circle, var(--color2) var(--particleSize), #0000 0) 10% 60%,
    radial-gradient(circle, var(--color3) var(--particleSize), #0000 0) 31% 80%,
    radial-gradient(circle, var(--color4) var(--particleSize), #0000 0) 28% 77%,
    radial-gradient(circle, var(--color5) var(--particleSize), #0000 0) 13% 72%,
    /* top left */
      radial-gradient(circle, var(--color6) var(--particleSize), #0000 0) 80%
      10%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 95% 14%,
    radial-gradient(circle, var(--color2) var(--particleSize), #0000 0) 90% 23%,
    radial-gradient(circle, var(--color3) var(--particleSize), #0000 0) 100% 43%,
    radial-gradient(circle, var(--color4) var(--particleSize), #0000 0) 85% 27%,
    radial-gradient(circle, var(--color5) var(--particleSize), #0000 0) 77% 37%,
    radial-gradient(circle, var(--color6) var(--particleSize), #0000 0) 60% 7%,
    /* top right */
      radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 22%
      14%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 45% 20%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 33% 34%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 10% 29%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 31% 37%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 28% 7%,
    radial-gradient(circle, var(--color1) var(--particleSize), #0000 0) 13% 42%;
  background-size: var(--initialSize) var(--initialSize);
  background-repeat: no-repeat;
}

.firework::before {
  --x: -50%;
  --y: -50%;
  --initialY: -50%;
  /*   transform: translate(-20vmin, -2vmin) rotate(40deg) scale(1.3) rotateY(40deg); */
  transform: translate(-50%, -50%) rotate(40deg) scale(1.3) rotateY(40deg);
  /*   animation: fireworkPseudo 2s infinite; */
}

.firework::after {
  --x: -50%;
  --y: -50%;
  --initialY: -50%;
  /*   transform: translate(44vmin, -50%) rotate(170deg) scale(1.15) rotateY(-30deg); */
  transform: translate(-50%, -50%) rotate(170deg) scale(1.15) rotateY(-30deg);
  /*   animation: fireworkPseudo 2s infinite; */
}

.firework:nth-child(2) {
  --x: 30vmin;
}

.firework:nth-child(2),
.firework:nth-child(2)::before,
.firework:nth-child(2)::after {
  --color1: pink;
  --color2: violet;
  --color3: fuchsia;
  --color4: orchid;
  --color5: plum;
  --color6: lavender;
  --finalSize: 40vmin;
  left: 30%;
  top: 60%;
  animation-delay: -0.25s;
}

.firework:nth-child(3) {
  --x: -30vmin;
  --y: -50vmin;
}

.firework:nth-child(3),
.firework:nth-child(3)::before,
.firework:nth-child(3)::after {
  --color1: cyan;
  --color2: lightcyan;
  --color3: lightblue;
  --color4: PaleTurquoise;
  --color5: SkyBlue;
  --color6: lavender;
  --finalSize: 35vmin;
  left: 70%;
  top: 60%;
  animation-delay: -0.4s;
}
